RHEL 7 : kdelibs (RHSA-2017:1264)

High Nessus Plugin ID 100345


The remote Red Hat host is missing one or more security updates.


An update for kdelibs is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The K Desktop Environment (KDE) is a graphical desktop environment for the X Window System. The kdelibs packages include core libraries for the K Desktop Environment.

Security Fix(es) :

* A privilege escalation flaw was found in the way kdelibs handled D-Bus messages. A local user could potentially use this flaw to gain root privileges by spoofing a callerID and leveraging a privileged helper application. (CVE-2017-8422)

Red Hat would like to thank Sebastian Krahmer (SUSE) for reporting this issue.


Update the affected packages.

See Also



Plugin Details

Severity: High

ID: 100345

File Name: redhat-RHSA-2017-1264.nasl

Version: $Revision: 3.5 $

Type: local

Agent: unix

Published: 2017/05/23

Modified: 2018/01/25

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.2

Temporal Score: 6

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 7.8

Temporal Score: 7.2

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:X

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:kdelibs, p-cpe:/a:redhat:enterprise_linux:kdelibs-apidocs, p-cpe:/a:redhat:enterprise_linux:kdelibs-common, p-cpe:/a:redhat:enterprise_linux:kdelibs-debuginfo, p-cpe:/a:redhat:enterprise_linux:kdelibs-devel, p-cpe:/a:redhat:enterprise_linux:kdelibs-ktexteditor, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/05/22

Reference Information

CVE: CVE-2017-8422

OSVDB: 157311

RHSA: 2017:1264